
OPTIONS = -D_GNU_SOURCE

CC = gcc

CFLAGS = -O -Wall -DUSE_FLOCK

OBJS = 

all: video2mem

video2mem:	video2mem.o errormsg.o tvi_v4l2.o config.o
	$(CC) -o video2mem video2mem.o errormsg.o tvi_v4l2.o config.o

video2mem.o:	video2mem.c video2mem.h tvi_v4l2.h errormsg.h config.h Makefile
tvi_v4l2.o:	tvi_v4l2.c tvi_v4l2.h Makefile
errormsg.o:	errormsg.c errormsg.h Makefile
config.o:	config.c config.h Makefile

clean:
	/bin/rm -f  *.o
	/bin/rm video2mem



